Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface WelcomeFileListType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  WelcomeFileListTypeImpl

    public interface WelcomeFileListType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `welcome-file-listType` xsd type

Original Documentation:

The welcome-file-list contains an ordered list of welcome
files elements.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getWelcomeFileList()` Returns all `welcome-file` elements
`WelcomeFileListType<T>` | `removeAllWelcomeFile()` Removes the `welcome-file` element
`WelcomeFileListType<T>` | `setWelcomeFile(java.lang.String welcomeFile)` Creates a new `welcome-file` element
`WelcomeFileListType<T>` | `setWelcomeFileList(java.lang.String... values)` Creates for all String objects representing `welcome-file` elements, a new `welcome-file` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setWelcomeFile

    WelcomeFileListType<T> setWelcomeFile(java.lang.String welcomeFile)

  Creates a new `welcome-file` element

  Returns:
    the current instance of `WelcomeFileListType`

### setWelcomeFileList

    WelcomeFileListType<T> setWelcomeFileList(java.lang.String... values)

  Creates for all String objects representing `welcome-file` elements, a new `welcome-file` element

  Parameters:
    `list` - of `welcome-file` objects
  Returns:
    the current instance of `WelcomeFileListType`

### removeAllWelcomeFile

    WelcomeFileListType<T> removeAllWelcomeFile()

  Removes the `welcome-file` element

  Returns:
    the current instance of `WelcomeFileListType`

### getWelcomeFileList

    java.util.List<java.lang.String> getWelcomeFileList()

  Returns all `welcome-file` elements

  Returns:
    list of `welcome-file`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD